diff --git a/src/packages/fff/fff-wireless/Makefile b/src/packages/fff/fff-wireless/Makefile
index 5a478409..6c0b6a9b 100644
--- a/src/packages/fff/fff-wireless/Makefile
+++ b/src/packages/fff/fff-wireless/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-wireless
-PKG_RELEASE:=7
+PKG_RELEASE:=8
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-wireless/files/etc/uci-defaults/60-fff-wireless b/src/packages/fff/fff-wireless/files/etc/uci-defaults/20a-fff-wireless
similarity index 100%
rename from src/packages/fff/fff-wireless/files/etc/uci-defaults/60-fff-wireless
rename to src/packages/fff/fff-wireless/files/etc/uci-defaults/20a-fff-wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/uci-defaults/20b-config-wireless b/src/packages/fff/fff-wireless/files/etc/uci-defaults/20b-config-wireless
new file mode 100644
index 00000000..c58ded1c
--- /dev/null
+++ b/src/packages/fff/fff-wireless/files/etc/uci-defaults/20b-config-wireless
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Copyright 2018 Adrian Schmutzler
+# License GPLv3
+
+BOARD="$(uci get board.model.name)"
+
+# antenna gain
+case "$BOARD" in
+	tl-wr1043nd-v1)
+		uci set wireless.radio0.antenna_gain=3
+		uci commit wireless
+		;;
+	ubnt-loco-m|\
+	ubnt-loco-m-xw)
+		uci set wireless.radio0.antenna_gain=9
+		uci commit wireless
+		;;
+	ubnt-nano-m)
+		uci set wireless.radio0.antenna_gain=11
+		uci commit wireless
+		;;
+	ubnt-pico-m)
+		uci set wireless.radio0.antenna_gain=12
+		uci commit wireless
+		;;
+	ubnt-power-m-xw)
+		uci set wireless.radio0.antenna_gain=18
+		uci commit wireless
+		;;
+	ubnt-unifi)
+		# No support for Unifi AP Pro!
+		uci set wireless.radio0.antenna_gain=3
+		uci commit wireless
+		;;
+	ubnt-unifiac-mesh)
+		uci set wireless.radio0.antenna_gain=4
+		uci set wireless.radio1.antenna_gain=3
+		uci commit wireless
+		;;
+esac
+
+# rssid
+case "$BOARD" in
+	cpe210|\
+	cpe210-v2|\
+	cpe210-v3|\
+	cpe510|\
+	tl-wa850re-v1)
+		uci set system.rssid_wlan0.dev=radio0
+		uci commit system
+		;;
+esac
diff --git a/src/packages/fff/fff-wireless/files/etc/uci-defaults/62-config-wireless b/src/packages/fff/fff-wireless/files/etc/uci-defaults/62-config-wireless
deleted file mode 100644
index f900b2c0..00000000
--- a/src/packages/fff/fff-wireless/files/etc/uci-defaults/62-config-wireless
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-# Copyright 2018 Adrian Schmutzler
-# License GPLv3
-
-BOARD="$(uci get board.model.name)"
-
-if [ -s "/etc/wifi.$BOARD" ] ; then
-	. "/etc/wifi.$BOARD"
-fi
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.cpe210-v2 b/src/packages/fff/fff-wireless/files/etc/wifi.cpe210-v2
deleted file mode 100644
index 3a5f3c49..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.cpe210-v2
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set system.rssid_wlan0.dev=radio0
-uci -q commit system
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.cpe210-v3 b/src/packages/fff/fff-wireless/files/etc/wifi.cpe210-v3
deleted file mode 100644
index 3a5f3c49..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.cpe210-v3
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set system.rssid_wlan0.dev=radio0
-uci -q commit system
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.tl-wr1043nd-v1 b/src/packages/fff/fff-wireless/files/etc/wifi.tl-wr1043nd-v1
deleted file mode 100644
index f1a7017f..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.tl-wr1043nd-v1
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set wireless.radio0.antenna_gain=3
-uci -q commit wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-loco-m b/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-loco-m
deleted file mode 100644
index 3c5110e4..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-loco-m
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set wireless.radio0.antenna_gain=9
-uci -q commit wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-loco-m-xw b/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-loco-m-xw
deleted file mode 100644
index 3c5110e4..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-loco-m-xw
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set wireless.radio0.antenna_gain=9
-uci -q commit wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-nano-m b/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-nano-m
deleted file mode 100644
index 8b44ac83..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-nano-m
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set wireless.radio0.antenna_gain=11
-uci -q commit wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-pico-m b/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-pico-m
deleted file mode 100644
index 2cac5233..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-pico-m
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set wireless.radio0.antenna_gain=12
-uci -q commit wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-power-m-xw b/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-power-m-xw
deleted file mode 100644
index 9d3ff906..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-power-m-xw
+++ /dev/null
@@ -1,2 +0,0 @@
-uci -q set wireless.radio0.antenna_gain=18
-uci -q commit wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-unifi b/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-unifi
deleted file mode 100644
index 903c7b6a..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-unifi
+++ /dev/null
@@ -1,3 +0,0 @@
-# No support for Unifi AP Pro!
-uci -q set wireless.radio0.antenna_gain=3
-uci -q commit wireless
diff --git a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-unifiac-lite b/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-unifiac-lite
deleted file mode 100644
index 9b4438d9..00000000
--- a/src/packages/fff/fff-wireless/files/etc/wifi.ubnt-unifiac-lite
+++ /dev/null
@@ -1,3 +0,0 @@
-uci -q set wireless.radio0.antenna_gain=4
-uci -q set wireless.radio1.antenna_gain=3
-uci -q commit wireless
